IAM database authentication in Aurora - Amazon Aurora
Services or capabilities described in Amazon Web Services documentation might vary by Region. To see the differences applicable to the China Regions, see Getting Started with Amazon Web Services in China.

IAM database authentication in Aurora

With IAM database authentication in Aurora, you can authenticate to your DB cluster using Amazon Identity and Access Management (IAM) database authentication. With this authentication method, you don't need to use a password when you connect to a DB cluster. Instead, you use an authentication token. For more information, see IAM database authentication.

IAM database authentication with Aurora MySQL

IAM database authentication with Aurora MySQL is available in all Regions for the following versions:

  • Aurora MySQL 8.0 (Aurora version 3.0 and higher)

  • Aurora MySQL 5.7 (Aurora version 2.0 and higher)

  • Aurora MySQL 5.6 (Aurora version 1.10 and higher 1.1 minor versions)

IAM database authentication with Aurora PostgreSQL

IAM database authentication with Aurora PostgreSQL is available in all Regions for the following versions:

  • Aurora PostgreSQL 14 (All versions)

  • Aurora PostgreSQL 13 (All versions)

  • Aurora PostgreSQL 12 (All versions)

  • Aurora PostgreSQL 11 (Version 11.9, 11.12 and higher)

  • Aurora PostgreSQL 10 (Version 10.11 and higher)